petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCPostSolve

Optional post-solve phase, intended for any preconditioner-specific actions that must be performed after the iterative solve itself.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCPostSolve(PC pc,KSP ksp)

Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| ksp | - the Krylov subspace context Many br

### Sample of Usage

        PCPreSolve(pc,ksp);
        KSPSolve(ksp,b,x);
        PCPostSolve(pc,ksp);

Many br

### Note

KSPSolve() calls this routine directly, so it is rarely called by the user. Many br

Many br

### Keywords

PC, post-solve

### See Also

PCPreSolve(), KSPSolve()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages